LRINT(3)

NAME
llrint, llrintf, lrint, lrintf - convert to integer

LIBRARY
libm

SYNOPSIS
#include <math.h>
long long
llrint(double x);
long long
llrintf(float x);
long
lrint(double x);
long
lrintf(float x);

DESCRIPTION
The lrint() function returns the integer nearest to its argument x according to the current rounding mode. If the rounded result is too large to be represented as a long value, an invalid exception is raised and the return value is undefined. Otherwise, if x is not an integer, lrint() raises an inexact exception. When the rounded result is representable as a long, the expression lrint(x) is equivalent to (long)rint(x) (although the former may be more efficient).

The llrint(), llrintf(), and lrintf() functions differ from lrint() only in their input and output types.

SEE ALSO
lround(3), math(3), rint(3), round(3)

STANDARDS
The llrint(), llrintf(), lrint(), and lrintf() functions conform to isoC-99.

HISTORY
These routines first appeared in FreeBSD 5.4.